MyGUI: MyGUI::ScrollViewBase Class Reference

MyGUI 3.2.2

Protected Member Functions | Protected Attributes
MyGUI::ScrollViewBase Class Reference

`#include <MyGUI_ScrollViewBase.h>`

Inheritance diagram for MyGUI::ScrollViewBase:
[legend]

## Protected Member Functions
| ScrollViewBase ()
virtual | ~ScrollViewBase ()
void | updateScrollSize ()
void | updateScrollPosition ()
virtual IntSize | getContentSize ()
virtual IntPoint | getContentPosition ()
virtual void | setContentPosition (const IntPoint &_value)
virtual IntSize | getViewSize ()
virtual size_t | getHScrollPage ()
virtual size_t | getVScrollPage ()
virtual Align | getContentAlign ()
virtual void | eraseContent ()

## Protected Attributes
ScrollBar * | mVScroll
ScrollBar * | mHScroll
Widget * | mClient
bool | mVisibleHScroll
bool | mVisibleVScroll
size_t | mVRange
size_t | mHRange
bool | mChangeContentByResize

## Detailed Description

Definition at line 16 of file MyGUI_ScrollViewBase.h.

## Constructor & Destructor Documentation

## ◆ ScrollViewBase()

MyGUI::ScrollViewBase::ScrollViewBase | ( |  | ) |
| protected

Definition at line 14 of file MyGUI_ScrollViewBase.cpp.

## ◆ ~ScrollViewBase()

MyGUI::ScrollViewBase::~ScrollViewBase | ( |  | ) |
| protectedvirtual

Definition at line 26 of file MyGUI_ScrollViewBase.cpp.

## Member Function Documentation

## ◆ eraseContent()

void MyGUI::ScrollViewBase::eraseContent | ( |  | ) |
| protectedvirtual

Definition at line 347 of file MyGUI_ScrollViewBase.cpp.

## ◆ getContentAlign()

Align MyGUI::ScrollViewBase::getContentAlign | ( |  | ) |
| protectedvirtual

Definition at line 342 of file MyGUI_ScrollViewBase.cpp.

## ◆ getContentPosition()

IntPoint MyGUI::ScrollViewBase::getContentPosition | ( |  | ) |
| protectedvirtual

Definition at line 318 of file MyGUI_ScrollViewBase.cpp.

## ◆ getContentSize()

IntSize MyGUI::ScrollViewBase::getContentSize | ( |  | ) |
| protectedvirtual

Definition at line 313 of file MyGUI_ScrollViewBase.cpp.

## ◆ getHScrollPage()

size_t MyGUI::ScrollViewBase::getHScrollPage | ( |  | ) |
| protectedvirtual

Definition at line 332 of file MyGUI_ScrollViewBase.cpp.

## ◆ getViewSize()

IntSize MyGUI::ScrollViewBase::getViewSize | ( |  | ) |
| protectedvirtual

Reimplemented in MyGUI::ItemBox.

Definition at line 327 of file MyGUI_ScrollViewBase.cpp.

## ◆ getVScrollPage()

size_t MyGUI::ScrollViewBase::getVScrollPage | ( |  | ) |
| protectedvirtual

Definition at line 337 of file MyGUI_ScrollViewBase.cpp.

## ◆ setContentPosition()

void MyGUI::ScrollViewBase::setContentPosition | ( | const IntPoint & | _value | ) |
| protectedvirtual

Definition at line 323 of file MyGUI_ScrollViewBase.cpp.

## ◆ updateScrollPosition()

void MyGUI::ScrollViewBase::updateScrollPosition | ( |  | ) |
| protected

Definition at line 234 of file MyGUI_ScrollViewBase.cpp.

## ◆ updateScrollSize()

void MyGUI::ScrollViewBase::updateScrollSize | ( |  | ) |
| protected

Definition at line 30 of file MyGUI_ScrollViewBase.cpp.

## Field Documentation

## ◆ mChangeContentByResize

bool MyGUI::ScrollViewBase::mChangeContentByResize
| protected

Definition at line 55 of file MyGUI_ScrollViewBase.h.

## ◆ mClient

Widget* MyGUI::ScrollViewBase::mClient
| protected

Definition at line 46 of file MyGUI_ScrollViewBase.h.

## ◆ mHRange

size_t MyGUI::ScrollViewBase::mHRange
| protected

Definition at line 52 of file MyGUI_ScrollViewBase.h.

## ◆ mHScroll

ScrollBar* MyGUI::ScrollViewBase::mHScroll
| protected

Definition at line 45 of file MyGUI_ScrollViewBase.h.

## ◆ mVisibleHScroll

bool MyGUI::ScrollViewBase::mVisibleHScroll
| protected

Definition at line 48 of file MyGUI_ScrollViewBase.h.

## ◆ mVisibleVScroll

bool MyGUI::ScrollViewBase::mVisibleVScroll
| protected

Definition at line 49 of file MyGUI_ScrollViewBase.h.

## ◆ mVRange

size_t MyGUI::ScrollViewBase::mVRange
| protected

Definition at line 51 of file MyGUI_ScrollViewBase.h.

## ◆ mVScroll

ScrollBar* MyGUI::ScrollViewBase::mVScroll
| protected

Definition at line 44 of file MyGUI_ScrollViewBase.h.

The documentation for this class was generated from the following files:

- MyGUI_ScrollViewBase.h
- MyGUI_ScrollViewBase.cpp